import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Rocket here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bug extends Actor
{
    private GreenfootImage leftImg = new GreenfootImage("bug-left.png");
    private GreenfootImage rightImg = new GreenfootImage("bug-right.png");
    private GreenfootImage upImg = new GreenfootImage("bug-up.png");
    private GreenfootImage downImg = new GreenfootImage("bug-down.png");

    private Direction direction = Direction.RIGHT;

    private int xSpeed = 5, ySpeed = 5;

    public void act() {
        eat();
        if (checkKeys()) {
            updateImage();
        }
        tryMove();
    }

    public void eat() {
        Actor food = getOneIntersectingObject(Food.class);
        if (food != null) {
            getWorld().removeObject(food);
        }
    }
    
    public void updateImage() {
        switch (direction) {
            case LEFT:
            setImage(leftImg);
            break;
            case RIGHT:
            setImage(rightImg);
            break;
            case UP:
            setImage(upImg);
            break;
            case DOWN:
            setImage(downImg);
            break;
        }
    }

    public boolean checkKeys() {
        if (Greenfoot.isKeyDown("left")) {
            direction = Direction.LEFT;
        } else if (Greenfoot.isKeyDown("right")) {
            direction = Direction.RIGHT;
        } else if (Greenfoot.isKeyDown("up")) {
            direction = Direction.UP;
        } else if (Greenfoot.isKeyDown("down")) {
            direction = Direction.DOWN;
        } else {
            return false;
        }
        return true;
    }

    public void tryMove() {
        int origX = getX(), origY = getY();
        int newX = getX(), newY = getY();
        switch (direction) {
            case LEFT:
            newX = getX() - xSpeed;
            if (getX() <=0) {
                newX = getWorld().getWidth() - getImage().getWidth()/2;
            }
            break;
            case RIGHT:
            newX = getX() + xSpeed;
            if (getX() >= getWorld().getWidth()-1) {
                newX = getImage().getWidth()/2;
            }
            break;
            case UP:
            newY = getY() - ySpeed;
            break;
            case DOWN:
            newY = getY() + ySpeed;
            break;
        }
        setLocation(newX, newY);
        java.util.List objs = getIntersectingObjects(Bound.class);
        if (objs.size() > 0) {
            setLocation(origX, origY);
            if (getIntersectingObjects(Bound.class).size() > 0) {
                System.out.println("intersected");
            }
        }
    }
}
