import greenfoot.*;

/**
 * Write a description of class Player here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Player extends Bouncer
{
    private GreenfootImage leftImg = new GreenfootImage("person-left.png");
    private GreenfootImage rightImg = new GreenfootImage("person-right.png");
    private int moveSpeed = 7;
    private Direction direction = Direction.LEFT;
    
    public Player() {
        jumpSpeed = 15;
        gravity = 1;
    }
    
    public void act() {
        checkKeys();
        moveVertical();
    }
      
    public void checkKeys() {
        if (Greenfoot.isKeyDown("left")) {
            setImage(leftImg);
            direction = Direction.LEFT;
            moveLeft();
        }
         if (Greenfoot.isKeyDown("right")) {
            setImage(rightImg);
            direction = Direction.RIGHT;
            moveRight();
        }
        if (Greenfoot.isKeyDown("up")) {
            jump();
        }
        if (Greenfoot.isKeyDown("space")) {
            fireBullet();
        }
    }
    
    public void moveLeft() {
        if (getX() > getImage().getWidth()/2 ) {
            setLocation(getX() - moveSpeed, getY());
        }
    }
    
     public void moveRight() {
        if (getX() < getWorld().getWidth()) {
            setLocation(getX() + moveSpeed, getY());
        }
    }
    
    public void fireBullet() {
        int timer = ((Background) getWorld()).timer();
        int bulletCount = getWorld().getObjects(Bullet.class).size();
        if (timer % 10 == 0 || bulletCount == 0) {
            getWorld().addObject(new Bullet(this, direction), getX(), getY());
        }
    }
}
