import greenfoot.*;

/**
 * Write a description of class Player here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Player extends Gravity
{
    private int timer;

    //private float locationX, locationY, vX, vY;

    public Player(int x, int y) {
        locationX = x;
        locationY = y;
        vX = 0;
        vY = 0;
    }


    public void act() 
    {
        timer ++;

        gravity();

        if(checkTopCollide()) {
            vY = 0;
            controls(true);
        } else if(checkBottomCollide()) {
            vY = 0;
            locationY += 5;
        } else {
            controls(false);
        }

        if(getY() >= getWorld().getHeight() - 5) {
            ((TheWorld)getWorld()).lose();
        }
        
        super.act();
    }

    /*private void gravity() {
    vY += 1;
    }*/

    private void controls(boolean canJump) {
        if(timer % 10 == 0) {
            if(Greenfoot.isKeyDown("q")) {
                Bullet bullet = new Bullet();
                bullet.setRotation(180);
                getWorld().addObject(bullet, getX(), getY());
            }

            if(Greenfoot.isKeyDown("e")) {
                Bullet bullet = new Bullet();
                bullet.setRotation(0);
                getWorld().addObject(bullet, getX(), getY());
            }
        }

        if(Greenfoot.isKeyDown("a")) {
            vX -= 0.5f;
        }

        if(Greenfoot.isKeyDown("d")) {
            vX += 0.5f;
        }

        if(Greenfoot.isKeyDown("w") && canJump) {
            vY = -16;
        }
    }

    private int distance(int x, int y, int xx, int yy) {
        return (int)Math.sqrt(Math.pow(x - xx, 2) + Math.pow(y - yy, 2));
    }

}
