import greenfoot.*;

/**
 * Write a description of class TheWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class TheWorld extends World
{

    GreenfootSound bg = new GreenfootSound("bg.mp3");
    
    public int worldNumber;

    public TheWorld() {
        this(0);
    }

    public TheWorld(int worldNumber)
    {    
        super(1000, 600, 1); 
        this.worldNumber = worldNumber;

        switch(worldNumber) {
            case -1: 
            break;

            case 0:
            startWorld();
            break;

            case 1:
            levelOne();
            break;

            case 2:
            levelTwo();
            break;

            case 3:
            levelFour();
            break;
        }
    }
    
    public void started() {
        bg.playLoop();
    }
    
    public void stopped() {
        bg.stop();
    }

    public void lose() {
        java.util.List objs = getObjects(null);
        for(Object o : objs) {
            removeObject((Actor)o);
        }

        addObject(new Lose(), getWidth() / 2, getHeight() / 2);
    }

    public void startWorld() {
        
        addObject(new TextObject("START"), getWidth() / 2 + 60, 250);
        addObject(new PlayButton(), getWidth() / 2, getHeight() / 2);
    }

    private void levelOne()
    {
        BottomCollideObject bottomcollideobject = new BottomCollideObject();
        addObject(bottomcollideobject, 495, 583);
        Player player = new Player(0, 0);
        addObject(player, 499, 534);
        player.resetPhysics();
        player.setLocation(496, 547);
        player.resetPhysics();
        removeObject(bottomcollideobject);
        TopCollideObject topcollideobject = new TopCollideObject();
        addObject(topcollideobject, 505, 594);
        TopCollideObject topcollideobject2 = new TopCollideObject();
        addObject(topcollideobject2, 612, 523);
        TopCollideObject topcollideobject3 = new TopCollideObject();
        addObject(topcollideobject3, 730, 452);
        TopCollideObject topcollideobject4 = new TopCollideObject();
        addObject(topcollideobject4, 843, 379);
        TopCollideObject topcollideobject5 = new TopCollideObject();
        addObject(topcollideobject5, 625, 385);
        TopCollideObject topcollideobject6 = new TopCollideObject();
        addObject(topcollideobject6, 524, 326);
        TopCollideObject topcollideobject7 = new TopCollideObject();
        addObject(topcollideobject7, 417, 257);
        TopCollideObject topcollideobject8 = new TopCollideObject();
        addObject(topcollideobject8, 538, 179);
        Thing thing = new Thing();
        addObject(thing, 356, 461);
        Thing thing2 = new Thing();
        addObject(thing2, 137, 301);
        Thing thing3 = new Thing();
        addObject(thing3, 744, 245);
        Thing thing4 = new Thing();
        addObject(thing4, 869, 545);
        Thing thing5 = new Thing();
        addObject(thing5, 584, 308);
        Thing thing6 = new Thing();
        addObject(thing6, 388, 105);
        Thing thing7 = new Thing();
        addObject(thing7, 843, 54);
        Thing thing8 = new Thing();
        addObject(thing8, 218, 88);
        TopCollideObject topcollideobject9 = new TopCollideObject();
        addObject(topcollideobject9, 659, 120);
        TopCollideObject topcollideobject10 = new TopCollideObject();
        addObject(topcollideobject10, 772, 61);
        LevelEnd levelend = new LevelEnd();
        addObject(levelend, 775, 21);
    }

    private void levelTwo()
    {
        TopCollideObject topcollideobject = new TopCollideObject();
        addObject(topcollideobject, 491, 573);
        TopCollideObject topcollideobject2 = new TopCollideObject();
        addObject(topcollideobject2, 622, 576);
        TopCollideObject topcollideobject3 = new TopCollideObject();
        addObject(topcollideobject3, 753, 575);
        TopCollideObject topcollideobject4 = new TopCollideObject();
        addObject(topcollideobject4, 875, 575);
        TopCollideObject topcollideobject5 = new TopCollideObject();
        addObject(topcollideobject5, 970, 482);
        TopCollideObject topcollideobject6 = new TopCollideObject();
        addObject(topcollideobject6, 871, 392);
        TopCollideObject topcollideobject7 = new TopCollideObject();
        addObject(topcollideobject7, 976, 310);
        TopCollideObject topcollideobject8 = new TopCollideObject();
        addObject(topcollideobject8, 871, 236);
        TopCollideObject topcollideobject9 = new TopCollideObject();
        addObject(topcollideobject9, 728, 239);
        TopCollideObject topcollideobject10 = new TopCollideObject();
        addObject(topcollideobject10, 590, 244);
        TopCollideObject topcollideobject11 = new TopCollideObject();
        addObject(topcollideobject11, 454, 247);
        TopCollideObject topcollideobject12 = new TopCollideObject();
        addObject(topcollideobject12, 324, 251);
        TopCollideObject topcollideobject13 = new TopCollideObject();
        addObject(topcollideobject13, 189, 210);
        TopCollideObject topcollideobject14 = new TopCollideObject();
        addObject(topcollideobject14, 115, 130);
        LevelEnd levelend = new LevelEnd();
        addObject(levelend, 122, 86);
        Thing thing = new Thing();
        addObject(thing, 279, 536);
        Thing thing2 = new Thing();
        addObject(thing2, 676, 462);
        Thing thing3 = new Thing();
        addObject(thing3, 601, 354);
        Thing thing4 = new Thing();
        addObject(thing4, 594, 200);
        Thing thing5 = new Thing();
        addObject(thing5, 448, 202);
        Thing thing6 = new Thing();
        addObject(thing6, 732, 195);
        Thing thing7 = new Thing();
        addObject(thing7, 308, 204);
        Player player = new Player(0, 0);
        addObject(player, 494, 542);
        player.resetPhysics();
        player.setLocation(491, 537);
        player.act();
        player.setLocation(491, 536);
        player.resetPhysics();
    }


    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void levelFour()
    {
        TopCollideObject topcollideobject = new TopCollideObject();
        addObject(topcollideobject, 42, 586);
        TopCollideObject topcollideobject2 = new TopCollideObject();
        addObject(topcollideobject2, 109, 589);
        TopCollideObject topcollideobject3 = new TopCollideObject();
        addObject(topcollideobject3, 181, 582);
        TopCollideObject topcollideobject4 = new TopCollideObject();
        addObject(topcollideobject4, 248, 582);
        TopCollideObject topcollideobject5 = new TopCollideObject();
        addObject(topcollideobject5, 327, 580);
        TopCollideObject topcollideobject6 = new TopCollideObject();
        addObject(topcollideobject6, 386, 573);
        TopCollideObject topcollideobject7 = new TopCollideObject();
        addObject(topcollideobject7, 456, 571);
        topcollideobject2.setLocation(105, 584);
        topcollideobject3.setLocation(168, 584);
        topcollideobject4.setLocation(233, 584);
        topcollideobject5.setLocation(296, 584);
        topcollideobject6.setLocation(359, 584);
        topcollideobject7.setLocation(423, 583);
        BottomCollideObject bottomcollideobject = new BottomCollideObject();
        addObject(bottomcollideobject, 50, 497);
        BottomCollideObject bottomcollideobject2 = new BottomCollideObject();
        addObject(bottomcollideobject2, 123, 497);
        BottomCollideObject bottomcollideobject3 = new BottomCollideObject();
        addObject(bottomcollideobject3, 172, 496);
        BottomCollideObject bottomcollideobject4 = new BottomCollideObject();
        addObject(bottomcollideobject4, 250, 496);
        BottomCollideObject bottomcollideobject5 = new BottomCollideObject();
        addObject(bottomcollideobject5, 328, 491);
        BottomCollideObject bottomcollideobject6 = new BottomCollideObject();
        addObject(bottomcollideobject6, 381, 493);
        bottomcollideobject2.setLocation(111, 498);
        bottomcollideobject3.setLocation(175, 496);
        bottomcollideobject4.setLocation(238, 496);
        bottomcollideobject5.setLocation(302, 495);
        bottomcollideobject6.setLocation(362, 496);
        BottomCollideObject bottomcollideobject7 = new BottomCollideObject();
        addObject(bottomcollideobject7, 432, 501);
        MovingBread movingbread = new MovingBread();
        addObject(movingbread, 492, 586);
        MovingBread movingbread2 = new MovingBread();
        addObject(movingbread2, 566, 587);
        MovingBread movingbread3 = new MovingBread();
        addObject(movingbread3, 644, 587);
        movingbread.setLocation(486, 583);
        movingbread2.setLocation(549, 584);
        movingbread3.setLocation(612, 580);
        BottomCollideObject bottomcollideobject8 = new BottomCollideObject();
        addObject(bottomcollideobject8, 681, 584);
        BottomCollideObject bottomcollideobject9 = new BottomCollideObject();
        addObject(bottomcollideobject9, 685, 482);
        BottomCollideObject bottomcollideobject10 = new BottomCollideObject();
        addObject(bottomcollideobject10, 693, 374);
        BottomCollideObject bottomcollideobject11 = new BottomCollideObject();
        addObject(bottomcollideobject11, 698, 273);
        BottomCollideObject bottomcollideobject12 = new BottomCollideObject();
        addObject(bottomcollideobject12, 697, 187);
        BottomCollideObject bottomcollideobject13 = new BottomCollideObject();
        addObject(bottomcollideobject13, 577, 258);
        BottomCollideObject bottomcollideobject14 = new BottomCollideObject();
        addObject(bottomcollideobject14, 482, 182);
        BottomCollideObject bottomcollideobject15 = new BottomCollideObject();
        addObject(bottomcollideobject15, 385, 252);
        BottomCollideObject bottomcollideobject16 = new BottomCollideObject();
        addObject(bottomcollideobject16, 300, 180);
        BottomCollideObject bottomcollideobject17 = new BottomCollideObject();
        addObject(bottomcollideobject17, 393, 93);
        LevelEnd levelend = new LevelEnd();
        addObject(levelend, 389, 56);
        Thing thing = new Thing();
        addObject(thing, 422, 543);
        Thing thing2 = new Thing();
        addObject(thing2, 493, 546);
        Thing thing3 = new Thing();
        addObject(thing3, 557, 548);
        Thing thing4 = new Thing();
        addObject(thing4, 55, 455);
        Thing thing5 = new Thing();
        addObject(thing5, 105, 458);
        Thing thing6 = new Thing();
        addObject(thing6, 95, 425);
        Thing thing7 = new Thing();
        addObject(thing7, 52, 426);
        Thing thing8 = new Thing();
        addObject(thing8, 609, 445);
        Thing thing9 = new Thing();
        addObject(thing9, 624, 335);
        Thing thing10 = new Thing();
        addObject(thing10, 340, 215);
        Thing thing11 = new Thing();
        addObject(thing11, 241, 153);
        Thing thing12 = new Thing();
        addObject(thing12, 626, 156);
        Thing thing13 = new Thing();
        addObject(thing13, 298, 63);
        
        addObject(new Player(30, 550), 30, 550);
    }
}
