import greenfoot.*;

/**
 * Write a description of class Ball here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Ball extends Bouncer {
    private int speed = 3;
    
    public Ball() {
        jumpSpeed = 10;
        gravity = 1;
        bounce = true;
        setImage(new GreenfootImage("ball-" + Greenfoot.getRandomNumber(7) + ".png"));
    }
    
    /**
     * Act - do whatever the Ball wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() {
        wallBounce();
        doMove();
        moveVertical();
        if (fallSpeed == 0) {
            jump();
        }
        if (getY() >= getWorld().getHeight()-getImage().getHeight()/2 -1) {
            getWorld().removeObject(this);
        }
    }
    
    public void wallBounce() {
        if (getX() <= 1 || getX() >= getWorld().getWidth()-1) {
            speed = -speed;
        }
    }
    
    public void doMove() {
          setLocation(getX() + speed, getY());
    }
}